package com.tarena.oss.selfservice.dao;

import java.util.Collection;

import com.tarena.oss.dms.Detailmonths;
import com.tarena.oss.userservice.pojo.UserService;

public interface UserSelfserviceMgmtDAO {
	UserService queryBill();
	Collection<UserService> queryBillByLoginname(String loginname);
	UserService queryBillByUserid(Integer userid);
	Collection<UserService> queryBills();
	int queryUserServicesCnts();
	int queryUserServicesCnts(String loginName);
	Collection<UserService> queryUserServiceList(String cond,int currentPage);

	
	//年查询
//	Detailyears queryDetailyears_intByYear(int year);
	//月查询
	Collection<Detailmonths> queryDetailmonths_intByMonth(int year,int month);
	Collection<Detailmonths> queryDetailmonths_intByMonth(int year,int month,int currentPage);
	//天查询
//	Detaildays queryDetaildays_intByDay(int year,int month,int day);
	void queryBill(Integer year,Integer month,Integer day);
	
//	通过用户登录的id 查出该用户拥有的用户业务表
	Collection<UserService> queryBills(Integer userid);
	
	//通过用户业务表的labip 查出帐单,即登录的情况
	Collection<UserService> queryBills(String labip);
}
